Class | SOAP::RPC::SOAPMethodResponse
In: | soap/rpc/element.rb
Parent: | SOAPMethod

### Methods

each new retval=

### Public Class methods

new(qname, param_def = nil)

[Source]

    # File soap/rpc/element.rb, line 277
      def initialize(qname, param_def = nil)
        super(qname, param_def)
        @retval = nil
      end

### Public Instance methods

each() {|@retval_name, @retval| ...}

[Source]

    # File soap/rpc/element.rb, line 289
      def each
        if @retval_name and !@retval.is_a?(SOAPVoid)
          yield(@retval_name, @retval)
        end

        output_params.each do |name|
          unless @outparam[name]
            raise ParameterError.new("parameter: #{name} was not given")
          end
          yield(name, @outparam[name])
        end
      end

retval=(retval)

[Source]

    # File soap/rpc/element.rb, line 282
      def retval=(retval)
        @retval = retval
        @retval.elename = @retval.elename.dup_name(@retval_name || 'return')
        retval.parent = self
        retval
      end

[Validate]